/*
* FruitPole2d.h 
* A customised interface to create a 2d object for this game
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/


#ifndef FRUIT_POLE_2D_H
#define FRUIT_POLE_2D_H

#include "Shape.h"

struct FruitPole2dData;
class FruitPole2d : public Shape
{
public:
	FruitPole2d();
	~FruitPole2d();

	void draw();

protected:
	void createShape();

private:
	FruitPole2dData* d;
};

#endif // FRUIT_POLE_2D_H

