#include "ImageWidget.h"

#include <QPainter>

ImageWidget::ImageWidget(QWidget* parent)
{
	m_filename = "";
}

ImageWidget::~ImageWidget()
{
}

void ImageWidget::setFilename(const QString& filename)
{
	m_filename = filename;
	update();
}

void ImageWidget::paintEvent(QPaintEvent* pe)
{
	QPainter painter(this);
	QPixmap pix(m_filename);
	painter.setRenderHint(QPainter::Antialiasing);
	painter.drawPixmap(0, 0, width(), height(), pix);
}

QSize ImageWidget::sizeHint() const
{
	return QSize(100, 100);
}

