#ifndef IMAGE_WIDGET_H
#define IMAGE_WIDGET_H

#include <QWidget>
class ImageWidget : public QWidget
{
	Q_OBJECT

public:
	ImageWidget(QWidget* parent = 0);
	~ImageWidget();

	void setFilename(const QString& filename);

protected:
	void paintEvent(QPaintEvent* pe);
	QSize sizeHint() const;

private:
	QString m_filename;
};

#endif // IMAGE_WIDGET_H



