#include "SphericalCollider.h"

struct SphericalColliderData
{
	GLfloat* modelViewMatrix;
	GLfloat currPos[3];
};

SphericalCollider::SphericalCollider()
{
	d = new SphericalColliderData;
	d->modelViewMatrix = new GLfloat [16];
	d->currPos[0] = d->currPos[1] = d->currPos[2] = 0.0f;
}

SphericalCollider::~SphericalCollider()
{
	delete d->modelViewMatrix;
	delete d;
}

GLfloat* SphericalCollider::currentPosition()
{
	glGetFloatv(GL_MODELVIEW_MATRIX, d->modelViewMatrix);  
	d->currPos[0] = d->modelViewMatrix[12];
	d->currPos[1] = d->modelViewMatrix[13];
	d->currPos[2] = d->modelViewMatrix[14];

	return d->currPos;
}

