#include "Arrow2d.h"

#include <QGLWidget>

#include "Quad.h"
#include "Triangle.h"


struct Arrow2dData
{
	Quad shaft;
	Triangle head;
};

Arrow2d::Arrow2d()
{
}

Arrow2d::~Arrow2d()
{
}

void Arrow2d::draw()
{
	createShape();
}

void Arrow2d::createShape()
{
	// Consists of hierarchical transforms
	glPushMatrix();
	glScalef(2.0f, 1.0f, 1.0f);
	d->shaft.draw();
	glPopMatrix();

	glPushMatrix();
	glTranslatef(2.0f, 0.0f, 0.0f);
	glRotatef(-90.0, 0.0f, 0.0f, 1.0f);
	glTranslatef(-1.5f, 0.0f, 0.0f);
	glScalef(2.0f, 1.0f, 1.0f);
	d->head.draw();
	glPopMatrix();
}