/*
* Cone.h 
* An Interface to create a cone 3d object
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef CONE_H
#define CONE_H

#include "Shape.h"
#include "qtglut.h"

class Cone : public Shape
{
public:
	Cone();
	~Cone();

	void draw();
	void drawWithTheseProperties(GLdouble baseRadius, GLdouble height, GLint slices, GLint stacks);

protected:
	void createShape();
	void createShapeWithTheseProperties(GLdouble baseRadius, GLdouble height, GLint slices, GLint stacks);

private:

};

#endif // CONE_H

