/*
* FruitPole.h 
* A customised interface to create a 3d object for this game
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef FRUIT_POLE_H
#define FRUIT_POLE_H

#include "Shape.h"

struct FruitPoleData;
class FruitPole : public Shape
{
public:
	FruitPole();
	~FruitPole();

	void draw();

protected:
	void createShape();

private:
	FruitPoleData* d;
};

#endif // FRUIT_POLE_H

