#ifndef WARNING_UI_H
#define WARNING_UI_H

#include <QWidget>
#include <QTime>
#include <QMouseEvent>

class WarningUI : public QWidget
{
	Q_OBJECT

public:
	WarningUI(QWidget* parent = 0);
	~WarningUI();

protected:
	void paintEvent(QPaintEvent* pe);
	void drawWarningUINumberText(QPainter* p);

	QSize sizeHint() const;
	void mousePressEvent(QMouseEvent* me);	

private:
	QTime m_time;
};

#endif // WARNING_UI_H

